rte_port_sched.h(3)

NAME
rte_port_sched.h

SYNOPSIS

#include <stdint.h>
#include <rte_sched.h>
#include 'rte_port.h'

  Data Structures

struct rte_port_sched_reader_params
struct rte_port_sched_writer_params

  Variables

struct rte_port_in_ops rte_port_sched_reader_ops
struct rte_port_out_ops rte_port_sched_writer_ops

Detailed Description

RTE Port Hierarchical Scheduler

sched_reader: input port built on top of pre-initialized rte_sched_port sched_writer: output port built on top of pre-initialized rte_sched_port

Definition in file rte_port_sched.h.

Variable Documentation

  struct rte_port_in_ops rte_port_sched_reader_ops [extern]
sched_reader port operations

  struct rte_port_out_ops rte_port_sched_writer_ops [extern]
sched_writer port operations

Author

Generated automatically by Doxygen for DPDK from the source code.